/**
 * Message resource for apeman project.
 * @module apemanlocale
 * @version 5.0.20
 */

'use strict'

const print = require('./print')
const validate = require('./validate')
const apemanlocale = require('./apemanlocale')
const defineLocale = require('./localing/define_locale')

let lib = apemanlocale.bind(this)

Object.assign(lib, {
 print,
 validate,
 apemanlocale,
 locale: defineLocale
})

module.exports = lib
