/**
 * Sort langs.
 * @function langs
 */
'use strict'

/** @lends langs */
function langs (langs, defaultLang) {
  return langs.sort((a, b) => {
    switch (defaultLang) {
      case a:
        return -1
      case b:
        return +1
      default:
        a.localeCompare(b)
    }
  })
}

module.exports = langs
