/**
 * Test case for defineLocale.
 * Runs with mocha.
 */
'use strict'

const defineLocale = require('../lib/localing/define_locale.js')
const assert = require('assert')

describe('define-locale', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Define locale', (done) => {
    let l = defineLocale({
      foo: '#{pluralize(bar)}',
      bar: 'apple'
    })
    assert.deepEqual(l, { foo: 'apples', bar: 'apple' })
    done()
  })
})

/* global describe, before, after, it */
